[genivi-dlt] [DLT] [Patch] Fix compilation on older versions of gcc

Helwing, Lutz Lutz_Helwing at mentor.com
Thu Feb 11 07:27:20 EST 2016


Hi Stephan and all,

thanks for your patch.

At this point I'd like to ask all of you to what extent do you think we have to be downward compatible? When trying to build with gcc 3.4.6 the first issue it stumbles over is that it does not recognise the -Wno-variadic-macros option. I'm sure that this is not the only issue.

I actually build dlt-daemon with gcc 5.3.1.

Maybe we could collect some requirements concerning gcc version at this occasion?

Best regards
Lutz

On 10/02/16 10:00, Vacek, Stefan wrote:
Hi Lutz,

A stumbled across a compilation error while using an older version of gcc (4.5.3). The attached patch fixes this.

Best regards,
Stefan

Intel Deutschland GmbH
Registered Address: Am Campeon 10-12, 85579 Neubiberg, Germany
Tel: +49 89 99 8853-0, www.intel.de<http://www.intel.de>
Managing Directors: Christin Eisenschmid, Christian Lamprechter
Chairperson of the Supervisory Board: Nicole Lau
Registered Office: Munich
Commercial Register: Amtsgericht Muenchen HRB 186928



_______________________________________________
genivi-diagnostic-log-and-trace mailing list
genivi-diagnostic-log-and-trace at lists.genivi.org<mailto:genivi-diagnostic-log-and-trace at lists.genivi.org>
https://lists.genivi.org/mailman/listinfo/genivi-diagnostic-log-and-trace


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.genivi.org/pipermail/genivi-diagnostic-log-and-trace_lists.genivi.org/attachments/20160211/a3696812/attachment.html>


More information about the genivi-diagnostic-log-and-trace mailing list